Share via


Access Policy Assignment - Get

Gets the list of assignments for an access policy of a redis cache

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Cache/redis/{cacheName}/accessPolicyAssignments/{accessPolicyAssignmentName}?api-version=2024-11-01

URI Parameters

Name In Required Type Description
accessPolicyAssignmentName
path True

string

minLength: 3
maxLength: 63
pattern: ^([a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]|[a-zA-Z0-9])$

The name of the access policy assignment.

cacheName
path True

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]|[a-zA-Z0-9])$

The name of the Redis cache.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RedisCacheAccessPolicyAssignment

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

RedisCacheAccessPolicyAssignmentGet

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/redis/cache1/accessPolicyAssignments/accessPolicyAssignmentName1?api-version=2024-11-01

Sample response

{
  "name": "accessPolicyAssignmentName1",
  "type": "Microsoft.Cache/Redis/accessPolicyAssignments",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Cache/redis/cache1/accessPolicyAssignments/accessPolicyAssignmentName1",
  "properties": {
    "accessPolicyName": "accessPolicy1",
    "objectId": "6497c918-11ad-41e7-1b0f-7c518a87d0b0",
    "objectIdAlias": "TestAADAppRedis",
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
AccessPolicyAssignmentProvisioningState

Provisioning state of an access policy assignment set

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

RedisCacheAccessPolicyAssignment

Response to an operation on access policy assignment

systemData

Metadata pertaining to creation and last modification of the resource.

AccessPolicyAssignmentProvisioningState

Provisioning state of an access policy assignment set

Value Description
Updating

The access policy assignments are being updated

Succeeded

The access policy assignments were successfully updated

Deleting

The access policy assignments are being deleted

Deleted

The access policy assignments are considered deleted, meaning no custom access policies are applied.

Canceled

The operation was canceled. Access policy assignments may be in a partially updated state. Update them again to have a well-defined state.

Failed

The operation failed. Access policy assignments may be in a partially updated state. Update them again to have a well-defined state.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

RedisCacheAccessPolicyAssignment

Response to an operation on access policy assignment

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.accessPolicyName

string

pattern: ^([a-zA-Z0-9][a-zA-Z0-9- ]*[a-zA-Z0-9]|[a-zA-Z0-9])$

The name of the access policy that is being assigned

properties.objectId

string

Object Id to assign access policy to

properties.objectIdAlias

string

User friendly name for object id. Also represents username for token based authentication

properties.provisioningState

AccessPolicyAssignmentProvisioningState

Provisioning state of an access policy assignment set

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.